export default {
	/**
	 * The URL for local site API
	 *
	 * @since 0.0.1
	 *
	 * @type {string}
	 */
	localApiURL: CF_PRO_ADMIN.api.cf.url,

	/**
	 * The nonce for local site API
	 *
	 * @since 0.0.1
	 *
	 * @type {string}
	 */
	localApiNonce: CF_PRO_ADMIN.api.cf.nonce,

	/**
	 * The URL for remote app API
	 *
	 * @since 0.0.1
	 *
	 * @type {string}
	 */
	appURL: CF_PRO_ADMIN.api.cfPro.url,

	/**
	 * The ID of the form whose edit screen we are on
	 *
	 * @since 1.0.0
	 *
	 * @type {string}
	 */
	formScreen: CF_PRO_ADMIN.formScreen,

	/**
	 * Translation and other strings.
	 *
	 * Created by "strings" index of generated in calderawp\calderaforms\pro\admin\scripts::data()
	 *
	 * @since 1.0.0
	 *
	 * @type {Object}
	 */
	strings: CF_PRO_ADMIN.strings,

    /**
     * Levels of Monolog logs
     *
     * Created by "logLevels" index of generated in calderawp\calderaforms\pro\admin\scripts::data()
     *
     * @since 1.5.9
     *
     * @type array
     */
    logLevels: CF_PRO_ADMIN.logLevels,

};
